diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
index d47ca2b9a..28e430e6d 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
@@ -712,23 +631,17 @@ public class DensityGeneratorNether
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
 
                     // Constrain density
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= densityOffset;
 
-                    if(dy > ySize - 12)
-                    {
-                        double densityMod = (float)(dy - (ySize - 12)) / 11F;
+                    if (dy > ySize - 12) {
+                        double densityMod = (float) (dy - (ySize - 12)) / 11F;
                         density = density * (1.0D - densityMod) + 8000D * densityMod;
                     }
                     if (dy < 5) {
@@ -773,55 +686,45 @@ public class DensityGeneratorNether
         final double upperLimitScale = 512;
         final double lowerLimitScale = 512;
 
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] scaleArray = this.scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+        double[] depthArray = this.depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         int mainIndex = 0;
 
         int depthScaleIndex = 0;
-        for(int dx = 0; dx < xSize; dx++)
-        {
-            for(int dz = 0; dz < zSize; dz++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
                 // Calculate scale
                 double scale = (scaleArray[depthScaleIndex] + 256D) / 2048D;
-                if(scale > 1.0D)
-                {
+                if (scale > 1.0D) {
                     scale = 1.0D;
                 }
 
                 // Calculate depth
                 double depth = depthArray[depthScaleIndex] / 2000D;
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth = -depth * 0.3D;
                 }
                 depth = depth * 3D - 2D;
 
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth /= 2D;
-                    if(depth < -1D)
-                    {
+                    if (depth < -1D) {
                         depth = -1D;
                     }
                     depth /= 1.4D;
                     depth /= 2D;
                     scale = 0.0D;
-                }
-                else
-                {
-                    if(depth > 1.0D)
-                    {
+                } else {
+                    if (depth > 1.0D) {
                         depth = 1.0D;
                     }
                     depth /= 8D;
                 }
 
-                if(scale < 0.0D)
-                {
+                if (scale < 0.0D) {
                     scale = 0.0D;
                 }
 
@@ -830,12 +733,10 @@ public class DensityGeneratorNether
 
                 double offsetY = depthBaseSize + depth * 4D;
                 depthScaleIndex++;
-                for(int dy = 0; dy < ySize; dy++)
-                {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density;
-                    double densityOffset = ((((double)dy - offsetY) * heightStretch) / scale);
-                    if(densityOffset < 0.0D)
-                    {
+                    double densityOffset = ((((double) dy - offsetY) * heightStretch) / scale);
+                    if (densityOffset < 0.0D) {
                         densityOffset *= 4D;
                     }
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
@@ -843,16 +744,11 @@ public class DensityGeneratorNether
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
 
                     // Constrain density
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= densityOffset;
@@ -861,9 +757,8 @@ public class DensityGeneratorNether
                         double densityMod = (1.0f - (3 - dy)) / 3f;
                         density = density * (1.0 - densityMod) + scaleArray[dx * zSize + dz] * densityMod;
                     }
-                    if(dy > ySize - 8)
-                    {
-                        double densityMod = (float)(dy - (ySize - 8)) / 7F;
+                    if (dy > ySize - 8) {
+                        double densityMod = (float) (dy - (ySize - 8)) / 7F;
                         density = density * (1.0D - densityMod) + 8000D * densityMod;
                     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/SurfaceGeneratorNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/SurfaceGeneratorNether.java
index 96324187b..4829802d3 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/SurfaceGeneratorNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/SurfaceGeneratorNether.java
@@ -8,40 +8,41 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 import net.minecraft.core.world.generate.chunk.perlin.SurfaceGenerator;
 import net.minecraft.core.world.noise.PerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
 public class SurfaceGeneratorNether
     implements SurfaceGenerator {
-    private final World world;
+    private final @NotNull World world;
 
-    private final PerlinNoise beachNoise;
-    private final PerlinNoise soilNoise;
+    private final @NotNull PerlinNoise beachNoise;
+    private final @NotNull PerlinNoise soilNoise;
 
-    public SurfaceGeneratorNether(World world) {
+    public SurfaceGeneratorNether(@NotNull World world) {
         this.world = world;
 
-        beachNoise = new PerlinNoise(world.getRandomSeed(), 4, 40);
-        soilNoise = new PerlinNoise(world.getRandomSeed(), 4, 44);
+        this.beachNoise = new PerlinNoise(world.getRandomSeed(), 4, 40);
+        this.soilNoise = new PerlinNoise(world.getRandomSeed(), 4, 44);
     }
 
     @Override
-    public void generateSurface(Chunk chunk, ChunkGeneratorResult result) {
-        int oceanY = world.getWorldType().getOceanY();
-        int minY = world.getWorldType().getMinY();
-        int maxY = world.getWorldType().getMaxY();
+    public void generateSurface(@NotNull Chunk chunk, @NotNull ChunkGeneratorResult result) {
+        int oceanY = this.world.getWorldType().getOceanY();
+        int minY = this.world.getWorldType().getMinY();
+        int maxY = this.world.getWorldType().getMaxY();
         int chunkX = chunk.pos.x;
         int chunkZ = chunk.pos.z;
 
-        int oceanBlock = world.getWorldType().getOceanBlockId();
-        int worldFillBlock = world.getWorldType().getFillerBlockId();
+        int oceanBlock = this.world.getWorldType().getOceanBlockId();
+        int worldFillBlock = this.world.getWorldType().getFillerBlockId();
 
         Random rand = new Random((long) chunkX * 0x4F9939F508L + (long) chunkZ * 0x1EF1565BD5L);
 
         double beachScale = 0.03125D;
-        double[] sandBeachNoise = beachNoise.get(null, chunkX * 16, chunkZ * 16, 0.0D, 16, 16, 1, beachScale, beachScale, 1.0D);
-        double[] gravelBeachNoise = beachNoise.get(null, chunkX * 16, 109.0134D, chunkZ * 16, 16, 1, 16, beachScale, 1.0D, beachScale);
-        double[] soilThicknessNoise = soilNoise.get(null, chunkX * 16, chunkZ * 16, 0.0D, 16, 16, 1, beachScale * 2D, beachScale * 2D, beachScale * 2D);
+        double[] sandBeachNoise = this.beachNoise.get(null, chunkX * 16, chunkZ * 16, 0.0D, 16, 16, 1, beachScale, beachScale, 1.0D);
+        double[] gravelBeachNoise = this.beachNoise.get(null, chunkX * 16, 109.0134D, chunkZ * 16, 16, 1, 16, beachScale, 1.0D, beachScale);
+        double[] soilThicknessNoise = this.soilNoise.get(null, chunkX * 16, chunkZ * 16, 0.0D, 16, 16, 1, beachScale * 2D, beachScale * 2D, beachScale * 2D);
         for (int z = 0; z < 16; z++) {
             for (int x = 0; x < 16; x++) {
                 boolean generateSandBeach = sandBeachNoise[z + x * 16] + rand.nextDouble() * 0.2D > 0.0D;
@@ -57,7 +58,7 @@ public class SurfaceGeneratorNether
                 for (int y = maxY; y >= minY; y--) {
                     Biome biome = chunk.getBlockBiome(x, y, z);
                     if (biome == null)
-                        biome = world.getBiomeProvider().getBiome(chunkX * Chunk.CHUNK_SIZE_X + x, y >> 3, chunkZ * Chunk.CHUNK_SIZE_Z + z);
+                        biome = this.world.getBiomeProvider().getBiome(chunkX * Chunk.CHUNK_SIZE_X + x, y >> 3, chunkZ * Chunk.CHUNK_SIZE_Z + z);
 
                     int block = result.getBlock(x, y, z);
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
index 38764c185..ce8e73a70 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
@@ -13,30 +13,26 @@ import net.minecraft.core.world.generate.chunk.perlin.TerrainGeneratorLerp;
 import net.minecraft.core.world.noise.PerlinNoise;
 import net.minecraft.core.world.type.WorldType;
 import org.jetbrains.annotations.NotNull;
-
-import java.util.HashMap;
-import java.util.Map;
+import org.jetbrains.annotations.Nullable;
 
 public class TerrainGeneratorNether
-    extends TerrainGeneratorLerp
-{
+    extends TerrainGeneratorLerp {
     private final DensityGenerator densityGenerator;
 
-    private int lastX = Integer.MIN_VALUE;
-    private int lastZ = Integer.MIN_VALUE;
-    private Biome lastBiome = null;
-    private Biome lastBiomeNegX = null;
-    private Biome lastBiomePosX = null;
-    private Biome lastBiomeNegZ = null;
-    private Biome lastBiomePosZ = null;
-    private Object2IntMap<Biome> fluidLookup = new Object2IntArrayMap<>();
+    private final int lastX = Integer.MIN_VALUE;
+    private final int lastZ = Integer.MIN_VALUE;
+    private @Nullable Biome lastBiome = null;
+    private @Nullable Biome lastBiomeNegX = null;
+    private @Nullable Biome lastBiomePosX = null;
+    private @Nullable Biome lastBiomeNegZ = null;
+    private @Nullable Biome lastBiomePosZ = null;
+    private final Object2IntMap<Biome> fluidLookup = new Object2IntArrayMap<>();
     private int lastChunkX = Integer.MIN_VALUE;
     private int lastChunkZ = Integer.MIN_VALUE;
     private final @NotNull PerlinNoise noise = new PerlinNoise(0L, 4, 0);
     private final double @NotNull [] cache = new double[Chunk.CHUNK_SIZE_X * Chunk.CHUNK_SIZE_Z * (Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y)];
 
-    public TerrainGeneratorNether(World world)
-    {
+    public TerrainGeneratorNether(@NotNull World world) {
         super(world);
 
         this.densityGenerator = new DensityGeneratorNether(world);
@@ -50,52 +46,48 @@ public class TerrainGeneratorNether
     }
 
     @Override
-    protected int getBlockAt(Chunk chunk, int x, int y, int z, double density)
-    {
-        if (lastX != x || lastZ != z) {
-            lastBiome = chunk.getBlockBiome(x, 0, z);
+    protected int getBlockAt(@NotNull Chunk chunk, int x, int y, int z, double density) {
+        if (this.lastX != x || this.lastZ != z) {
+            this.lastBiome = chunk.getBlockBiome(x, 0, z);
             if (x - 1 < 0) {
-                lastBiomeNegX = lastBiome;
+                this.lastBiomeNegX = this.lastBiome;
             } else {
-                lastBiomeNegX = chunk.getBlockBiome(x - 1, 0, z);
+                this.lastBiomeNegX = chunk.getBlockBiome(x - 1, 0, z);
             }
             if (x + 1 >= Chunk.CHUNK_SIZE_X) {
-                lastBiomePosX = lastBiome;
+                this.lastBiomePosX = this.lastBiome;
             } else {
-                lastBiomePosX = chunk.getBlockBiome(x + 1, 0, z);
+                this.lastBiomePosX = chunk.getBlockBiome(x + 1, 0, z);
             }
             if (z - 1 < 0) {
-                lastBiomeNegZ = lastBiome;
+                this.lastBiomeNegZ = this.lastBiome;
             } else {
-                lastBiomeNegZ = chunk.getBlockBiome(x, 0, z - 1);
+                this.lastBiomeNegZ = chunk.getBlockBiome(x, 0, z - 1);
             }
             if (z + 1 >= Chunk.CHUNK_SIZE_Z) {
-                lastBiomePosZ = lastBiome;
+                this.lastBiomePosZ = this.lastBiome;
             } else {
-                lastBiomePosZ = chunk.getBlockBiome(x, 0, z + 1);
+                this.lastBiomePosZ = chunk.getBlockBiome(x, 0, z + 1);
             }
         }
-        if (lastChunkX != chunk.pos.x || lastChunkZ != chunk.pos.z) {
-            lastChunkX = chunk.pos.x;
-            lastChunkZ = chunk.pos.z;
-            noise.get(cache, chunk.pos.x * Chunk.CHUNK_SIZE_X, 0, chunk.pos.z * Chunk.CHUNK_SIZE_Z, Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y, Chunk.CHUNK_SIZE_Z, 0.2, 0.2, 0.2);
+        if (this.lastChunkX != chunk.pos.x || this.lastChunkZ != chunk.pos.z) {
+            this.lastChunkX = chunk.pos.x;
+            this.lastChunkZ = chunk.pos.z;
+            this.noise.get(this.cache, chunk.pos.x * Chunk.CHUNK_SIZE_X, 0, chunk.pos.z * Chunk.CHUNK_SIZE_Z, Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y, Chunk.CHUNK_SIZE_Z, 0.2, 0.2, 0.2);
 
             float avg = 0;
-            for (int i = 0; i < cache.length; i++) {
-                avg += cache[i];
+            for (int i = 0; i < this.cache.length; i++) {
+                avg += this.cache[i];
             }
-            avg /= cache.length;
+            avg /= this.cache.length;
         }
 
-        WorldType type = world.getWorldType();
+        WorldType type = this.world.getWorldType();
         int quarterHeight = type.getMaxY() / 4;
 
-        if (y < quarterHeight)
-        {
+        if (y < quarterHeight) {
             return 0;
-        }
-        else if (y >= type.getMaxY() - rand.nextInt(5))
-        {
+        } else if (y >= type.getMaxY() - this.rand.nextInt(5)) {
             return Blocks.BEDROCK.id();
         }
 //        else if (y >= quarterHeight - rand.nextInt(5) && y <= quarterHeight + 5 - rand.nextInt(5))
@@ -110,16 +102,13 @@ public class TerrainGeneratorNether
 //        {
 //            return Blocks.SOULSCHIST.id();
 //        }
-        else if (y <= quarterHeight + rand.nextInt(5))
-        {
+        else if (y <= quarterHeight + this.rand.nextInt(5)) {
             return Blocks.BEDROCK.id();
-        }
-        else if (density > 0.0)
-        {
-            if (lastBiome == Biomes.NETHER_CRYSTAL_FOREST) {
+        } else if (density > 0.0) {
+            if (this.lastBiome == Biomes.NETHER_CRYSTAL_FOREST) {
                 int sizeY = Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y;
                 // YZX ordering
-                final double d = ((cache[(x * Chunk.CHUNK_SIZE_Z * sizeY) + (z * sizeY) + y]));
+                final double d = ((this.cache[(x * Chunk.CHUNK_SIZE_Z * sizeY) + (z * sizeY) + y]));
                 if (d > 0 && d < 2) {
                     return Blocks.CRYSTAL.id();
                 } else if (d > -1 && d < 3) {
@@ -127,14 +116,12 @@ public class TerrainGeneratorNether
                 }
             }
             return type.getFillerBlockId();
-        }
-        else if (y >= quarterHeight && y < type.getOceanY())
-        {
-            int biomeFluid = fluidLookup.getOrDefault(lastBiome, 0);
-            int biomeFluidNegX = fluidLookup.getOrDefault(lastBiomeNegX, 0);
-            int biomeFluidPosX = fluidLookup.getOrDefault(lastBiomePosX, 0);
-            int biomeFluidNegZ = fluidLookup.getOrDefault(lastBiomeNegZ, 0);
-            int biomeFluidPosZ = fluidLookup.getOrDefault(lastBiomePosZ, 0);
+        } else if (y >= quarterHeight && y < type.getOceanY()) {
+            int biomeFluid = this.fluidLookup.getOrDefault(this.lastBiome, 0);
+            int biomeFluidNegX = this.fluidLookup.getOrDefault(this.lastBiomeNegX, 0);
+            int biomeFluidPosX = this.fluidLookup.getOrDefault(this.lastBiomePosX, 0);
+            int biomeFluidNegZ = this.fluidLookup.getOrDefault(this.lastBiomeNegZ, 0);
+            int biomeFluidPosZ = this.fluidLookup.getOrDefault(this.lastBiomePosZ, 0);
 
             if (biomeFluid == biomeFluidNegX && biomeFluid == biomeFluidPosX && biomeFluid == biomeFluidNegZ && biomeFluid == biomeFluidPosZ) {
                 return biomeFluid;
@@ -147,8 +134,7 @@ public class TerrainGeneratorNether
     }
 
     @Override
-    public DensityGenerator getDensityGenerator()
-    {
-        return densityGenerator;
+    public @NotNull DensityGenerator getDensityGenerator() {
+        return this.densityGenerator;
     }
 }
